---
title: "Delete Room"
slug: "delete-room"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Room

Post/api/v1/rooms.delete

Delete a room from the workspace. The following permissions are required:

- `delete-c`: To delete a public room.
- `delete-d`: To delete direct messages.
- `delete-p`: To delete private rooms.
- `delete-team`: To delete a team.
- `delete-team-channel`: To delete a channel within a team, also requires the `delete-c` permission.
- `delete-team-group`: To delete a private channel within a team, also requires the `delete-p` permission.

> You can't use this endpoint to delete a team's main room. Use [Delete a Team endpoint](https://developer.rocket.chat/apidocs/delete-a-team) instead.

### Changelog

| Version | Description |
| --- | --- |
| 5.4.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='9cfbe5cb-b4ff-444d-ac5c-7b32aee1e970'>application/json</option>
</select>object  roomIdstring    Required

The room ID that you want to delete.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='327ad138-2e40-4b01-bfb4-b7fe88a5b654'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7ae1fc7c-024c-424d-bb3f-0976cdd0a700'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='b61b57ec-b0d1-44cc-85b2-3935a84d4444'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='23960826-5eb8-4050-93ce-ee361a32e0d8'>Example 1: Missing roomId</option>
<option value='8370d8ef-1eca-4999-ac55-43dd2058c479'>Example 2: Missing Permission</option>
<option value='9a276789-5dd3-45b6-96a0-72ccb08fa28f'>Example 3: Cannot Delete Team Channel</option>
</select>Example 1: Missing roomId

```json
{
  "success": false,
  "error": "The 'roomId' param is required"
}
```

Example 2: Missing Permission

```json
{
  "success": true,
  "error": "string"
}
```

Example 3: Cannot Delete Team Channel

```json
{
  "success": false,
  "error": "Cannot delete a team channel [error-cannot-delete-team-channel]",
  "errorType": "error-cannot-delete-team-channel",
  "details": {
    "method": "eraseRoom"
  }
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c25c41c6-e782-4e09-8a62-cbb4cd33b08e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c185cd6b-f7fa-4d04-91d3-a16323072632'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
